# Generated by Django 4.0.7 on 2022-08-09 12:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import modelcluster.fields
import phonenumber_field.modelfields
import wagtail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('wagtailimages', '0024_index_image_file_hash'),
    ]

    operations = [
        migrations.CreateModel(
            name='Community',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('description', wagtail.fields.RichTextField(verbose_name='description')),
                ('location', models.CharField(max_length=255, verbose_name='location')),
                ('website', models.URLField(blank=True, null=True, verbose_name='website')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='email')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid phone number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='phone')),
                ('whatsapp', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid whatsapp number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='whatsapp')),
                ('facebook', models.CharField(blank=True, max_length=125, null=True, verbose_name='facebook')),
                ('instagram', models.CharField(blank=True, max_length=125, null=True, verbose_name='instagram')),
                ('youtube', models.CharField(blank=True, max_length=125, null=True, verbose_name='youtube')),
                ('twitter', models.CharField(blank=True, max_length=125, null=True, verbose_name='twitter')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='created at')),
                ('logo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='logo')),
            ],
            options={
                'verbose_name': 'Community',
                'verbose_name_plural': 'Communities',
            },
        ),
        migrations.CreateModel(
            name='Partner',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Partner name can be personal or company name.', max_length=255, verbose_name='name')),
                ('type', models.CharField(choices=[('personal', 'Personal'), ('organization', 'Organization')], default='organization', max_length=25, verbose_name='Type')),
                ('is_customer', models.BooleanField(default=True)),
                ('is_supplier', models.BooleanField(default=False)),
                ('description', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Describe your partner.')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='created at')),
                ('logo', models.ForeignKey(blank=True, help_text='Company logo or photo profile.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='logo')),
                ('user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Testimonial',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('job', models.CharField(blank=True, max_length=255, null=True, verbose_name='job')),
                ('content', wagtail.fields.RichTextField(help_text='What people said?', verbose_name='content')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='created at')),
                ('company', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='testimonials', to='glamour_partners.partner')),
                ('photo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='photo')),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('job', models.CharField(blank=True, max_length=255, null=True, verbose_name='job')),
                ('description', wagtail.fields.RichTextField(verbose_name='What people said?')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='email')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid phone number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='phone')),
                ('whatsapp', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid whatsapp number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='whatsapp')),
                ('facebook', models.CharField(blank=True, max_length=125, null=True, verbose_name='facebook')),
                ('instagram', models.CharField(blank=True, max_length=125, null=True, verbose_name='instagram')),
                ('youtube', models.CharField(blank=True, max_length=125, null=True, verbose_name='youtube')),
                ('twitter', models.CharField(blank=True, max_length=125, null=True, verbose_name='twitter')),
                ('photo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='photo')),
            ],
            options={
                'verbose_name': 'Team',
                'verbose_name_plural': 'Teams',
            },
        ),
        migrations.CreateModel(
            name='CommunityGallery',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('caption', models.CharField(blank=True, max_length=250)),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtailimages.image')),
                ('page', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='gallery_images', to='glamour_partners.community')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
    ]
